Bug 127179 - mc not displayed correctly in single mode because locale not set
mc not displayed correctly in single mode because locale not set
Status: CLOSED DUPLICATE of bug 105653
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-03 04:11 EDT by Florin Andrei
Modified: 2014-03-16 22:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 14:06:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2004-07-03 04:11:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Please note that i file this bug with mc simply because that's the
program that exhibits the behaviour, while i suspect it's not mc's fault.

Boot in runlevel 3, run mc in the console, it's displayed fine.
Reboot in single mode, run mc... it's all garbled.

Version-Release number of selected component (if applicable):
mc-4.6.0-15

How reproducible:
Always

Steps to Reproduce:
1.reboot in single mode
2.run mc
3.
    

Actual Results:  mc is displayed wrong, like different parts of the
program's interface are mashed together

Expected Results:  mc should be displayed normally

Additional info:

Note that the problem is not specific to FC2. I think the first time i
saw it on RH9, but it could be older than that.
Comment 1 Leonard den Ottolander 2004-08-24 18:24:46 EDT
I see the same thing on FC3t1. "export LANG=en_US.UTF-8" fixes this. I
think this should be considered an initscript issue. However the
(incompolete) UTF-8 patches for mc probably also play a part. Setting
a charset other than UTF-8 doesn't work entirely correct (this is not
limited to single user mode).

Maybe we could test Vladimir Nadvornik's extensions to the UTF-8
patches which can be found at http://www.suse.de/~nadvornik/mc.html.
They seem to work quite well for me. Merging them with upcoming 4.6.1
will be a bit more work however.
Comment 2 Leonard den Ottolander 2004-12-17 13:52:05 EST
Is this still an issue on FC3? If so this bug should be transferred to
initscripts as it is a configuration issue.
Comment 3 Florin Andrei 2004-12-17 14:37:47 EST
Leonard,

I just verified on a fairly up-to-date FC3 system, and yes, it is
still an issue.
Comment 4 Florin Andrei 2004-12-17 14:42:36 EST
Sorry for multiple posts - on the same FC3 system, i just verified
"export LANG=en_US.UTF-8" and indeed it fixes the display issue with
mc in single mode.
Comment 5 Leonard den Ottolander 2004-12-18 08:36:55 EST
Moving to initscripts as this is caused by the locale not being set in
single user mode.
Comment 6 Matthew Miller 2005-04-26 12:22:12 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 Bill Nottingham 2005-04-26 14:06:54 EDT

*** This bug has been marked as a duplicate of 105653 ***

Note You need to log in before you can comment on or make changes to this bug.